## pciutils 3.3.1

=== Makefile ===
# Makefile for The PCI Utilities
# (c) 1998--2015 Martin Mares <mj@ucw.cz>

OPT=-O2
CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes

VERSION=3.3.1
DATE=2015-04-09

# Host OS and release (override if you are cross-compiling)
HOST=
RELEASE=
CROSS_COMPILE=

# Support for compressed pci.ids (yes/no, default: detect)
ZLIB=

# Support for resolving ID's by DNS (yes/no, default: detect)
DNS=

# Build libpci as a shared library (yes/no; or local for testing; requires GCC)
SHARED=no

# Use libkmod to resolve kernel modules on Linux (yes/no, default: detect)
LIBKMOD=

# Use libudev to resolve device names using hwdb on Linux (yes/no, default: detect)
HWDB=

# ABI version suffix in the name of the shared library
# (as we use proper symbol versioning, this seldom needs changing)
ABI_VERSION=.3

# Installation directories
PREFIX=/usr/local
SBINDIR=$(PREFIX)/sbin
SHAREDIR=$(PREFIX)/share
IDSDIR=$(SHAREDIR)
MANDIR:=$(shell if [ -d $(PREFIX)/share/man ] ; then echo $(PREFIX)/share/man ; else echo $(PREFIX)/man ; fi)
INCDIR=$(PREFIX)/include
LIBDIR=$(PREFIX)/lib
PKGCFDIR=$(LIBDIR)/pkgconfig

# Commands
INSTALL=install
DIRINSTALL=install -d
STRIP=-s
CC=$(CROSS_COMPILE)gcc
AR=$(CROSS_COMPILE)ar
RANLIB=$(CROSS_COMPILE)ranlib

# Base name of the library (overriden on NetBSD, which has its own libpci)
LIBNAME=libpci

-include lib/config.mk

PCIINC=lib/config.h lib/header.h lib/pci.h lib/types.h lib/sysdep.h
PCIINC_INS=lib/config.h lib/header.h lib/pci.h lib/types.h

export

all: lib/$(PCILIB) lspci setpci example lspci.8 setpci.8 pcilib.7 update-pciids update-pciids.8 $(PCI_IDS)

lib/$(PCILIB): $(PCIINC) force
	$(MAKE) -C lib all

force:

lib/config.h lib/config.mk:
	cd lib && ./configure

lspci: lspci.o ls-vpd.o ls-caps.o ls-caps-vendor.o ls-ecaps.o ls-kernel.o ls-tree.o ls-map.o common.o lib/$(PCILIB)
setpci: setpci.o common.o lib/$(PCILIB)

LSPCIINC=lspci.h pciutils.h $(PCIINC)
lspci.o: lspci.c $(LSPCIINC)
ls-vpd.o: ls-vpd.c $(LSPCIINC)
ls-caps.o: ls-caps.c $(LSPCIINC)
ls-ecaps.o: ls-ecaps.c $(LSPCIINC)
ls-kernel.o: ls-kernel.c $(LSPCIINC)
ls-tree.o: ls-tree.c $(LSPCIINC)
ls-map.o: ls-map.c $(LSPCIINC)

setpci.o: setpci.c pciutils.h $(PCIINC)
common.o: common.c pciutils.h $(PCIINC)

lspci: LDLIBS+=$(LIBKMOD_LIBS)
ls-kernel.o: CFLAGS+=$(LIBKMOD_CFLAGS)

update-pciids: update-pciids.sh
	sed <$< >$@ "s@^DEST=.*@DEST=$(IDSDIR)/$(PCI_IDS)@;s@^PCI_COMPRESSED_IDS=.*@PCI_COMPRESSED_IDS=$(PCI_COMPRESSED_IDS)@"
	chmod +x $@

# The example of use of libpci
example: example.o lib/$(PCILIB)
example.o: example.c $(PCIINC)

%: %.o
	$(CC) $(LDFLAGS) $(TARGET_ARCH) $^ $(LDLIBS) -o $@

%.8 %.7: %.man
	M=`echo $(DATE) | sed 's/-01-/-January-/;s/-02-/-February-/;s/-03-/-March-/;s/-04-/-April-/;s/-05-/-May-/;s/-06-/-June-/;s/-07-/-July-/;s/-08-/-August-/;s/-09-/-September-/;s/-10-/-October-/;s/-11-/-November-/;s/-12-/-December-/;s/\(.*\)-\(.*\)-\(.*\)/\3 \2 \1/'` ; sed <$< >$@ "s/@TODAY@/$$M/;s/@VERSION@/pciutils-$(VERSION)/;s#@IDSDIR@#$(IDSDIR)#"

clean:
	rm -f `find . -name "*~" -o -name "*.[oa]" -o -name "\#*\#" -o -name TAGS -o -name core -o -name "*.orig"`
	rm -f update-pciids lspci setpci example lib/config.* *.[78] pci.ids.* lib/*.pc lib/*.so lib/*.so.*
	rm -rf maint/dist

distclean: clean

install: all
# -c is ignored on Linux, but required on FreeBSD
	$(DIRINSTALL) -m 755 $(DESTDIR)$(SBINDIR) $(DESTDIR)$(IDSDIR) $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(MANDIR)/man7
	$(INSTALL) -c -m 755 $(STRIP) lspci setpci $(DESTDIR)$(SBINDIR)
	$(INSTALL) -c -m 755 update-pciids $(DESTDIR)$(SBINDIR)
	$(INSTALL) -c -m 644 $(PCI_IDS) $(DESTDIR)$(IDSDIR)
	$(INSTALL) -c -m 644 lspci.8 setpci.8 update-pciids.8 $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -c -m 644 pcilib.7 $(DESTDIR)$(MANDIR)/man7
ifeq ($(SHARED),yes)
ifeq ($(LIBEXT),dylib)
	ln -sf $(PCILIB) $(DESTDIR)$(LIBDIR)/$(LIBNAME)$(ABI_VERSION).$(LIBEXT)
else
	ln -sf $(PCILIB) $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(LIBEXT)$(ABI_VERSION)
endif
endif

ifeq ($(SHARED),yes)
install: install-pcilib
endif

install-pcilib: lib/$(PCILIB)
	$(DIRINSTALL) -m 755 $(DESTDIR)$(LIBDIR)
	$(INSTALL) -c -m 644 lib/$(PCILIB) $(DESTDIR)$(LIBDIR)

install-lib: $(PCIINC_INS) lib/$(PCILIBPC) install-pcilib
	$(DIRINSTALL) -m 755 $(DESTDIR)$(INCDIR)/pci $(DESTDIR)$(PKGCFDIR)
	$(INSTALL) -c -m 644 $(PCIINC_INS) $(DESTDIR)$(INCDIR)/pci
	$(INSTALL) -c -m 644 lib/$(PCILIBPC) $(DESTDIR)$(PKGCFDIR)
ifeq ($(SHARED),yes)
ifeq ($(LIBEXT),dylib)
	ln -sf $(LIBNAME)$(ABI_VERSION).$(LIBEXT) $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(LIBEXT)
else
	ln -sf $(LIBNAME).$(LIBEXT)$(ABI_VERSION) $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(LIBEXT)
endif
endif

uninstall: all
	rm -f $(DESTDIR)$(SBINDIR)/lspci $(DESTDIR)$(SBINDIR)/setpci $(DESTDIR)$(SBINDIR)/update-pciids
	rm -f $(DESTDIR)$(IDSDIR)/$(PCI_IDS)
	rm -f $(DESTDIR)$(MANDIR)/man8/lspci.8 $(DESTDIR)$(MANDIR)/man8/setpci.8 $(DESTDIR)$(MANDIR)/man8/update-pciids.8
	rm -f $(DESTDIR)$(MANDIR)/man7/pcilib.7
ifeq ($(SHARED),yes)
	rm -f $(DESTDIR)$(LIBDIR)/$(PCILIB) $(DESTDIR)$(LIBDIR)/$(LIBNAME).so$(ABI_VERSION)
endif

pci.ids.gz: pci.ids
	gzip -9n <$< >$@

.PHONY: all clean distclean install install-lib uninstall force

=== debian/changelog ===
pciutils (1:3.3.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix linking on non-linux architectures by cleaning link rules.
    (Closes: #815669)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Nov 2016 19:57:46 +0100

pciutils (1:3.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable libkmod support on linux architectures (Closes: #807043)
  * Enable udev hwdb support on linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Wed, 13 Jan 2016 20:18:06 +0100

pciutils (1:3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1
    Closes: #773165
  * Update pci.ids with version 2015.07.31
  * Merged upstream:
    05-674708-setpci.man.patch
    06-675087-update-pciids.man.patch
  * Refresh patches.
  * Debian policy version is 3.9.6
  * Make the build reproducible
    Patch by Reiner Herrmann
    Closes: #783144
  * Fix wrong option for modprobe in man page of pcimodules
    Patch by Maximiliano Curia
    Closes: #613626

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 11 Aug 2015 13:03:50 +0100

=== debian/control ===
Source: pciutils
Section: admin
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Matt Taggart <taggart@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), zlib1g-dev, libkmod-dev [linux-any], libudev-dev (>= 196) [linux-any], pkg-config
Standards-Version: 3.9.6
Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml

Package: pciutils
Architecture: any
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}, libpci3 (= ${binary:Version})
Multi-Arch: foreign
Suggests: bzip2, wget | curl | lynx-cur
Description: Linux PCI Utilities
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus. 

Package: libpci-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${misc:Depends}, zlib1g-dev, libpci3 (= ${binary:Version}), libudev-dev (>= 196) [linux-any]
Conflicts: pciutils-dev
Provides: pciutils-dev
Replaces: pciutils-dev
Description: Linux PCI Utilities (development files)
 This package contains the <pci/pci.h>, <pci/config.h> and <pci/header.h>
 header files, as well as the /usr/lib/libpci.a library.

Package: libpci3
Section: libs
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Conflicts: libpci2
Provides: libpci2
Replaces: libpci2
Description: Linux PCI Utilities (shared library)
 This package contains the libpci shared library files.
 .
 The libpci library provides portable access to configuration
 registers of devices connected to the PCI bus.

Package: pciutils-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux PCI Utilities (udeb)
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus. 
 .
 This is a minimal version for use in debian-installer.

Package: libpci3-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux PCI Utilities (shared library)
 This package contains the libpci shared library files.
 .
 The libpci library provides portable access to configuration
 registers of devices connected to the PCI bus.
 .
 This is a minimal version for use in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
LINUX_FEATURES=LIBKMOD=yes HWDB=yes
endif

PATHS := LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) PREFIX=/usr SBINDIR=/usr/bin IDSDIR=/usr/share/misc

update-ids:
	# get a new version of pci.ids, this should only be run by the
	# maintainer, since we don't want different builds of the same
	# source to end up with different versions
	./update-pciids.sh
	rm -f pci.ids.old
	#gunzip pci.ids.gz

build-arch: build
build-indep: build
build:
	dh_testdir
	OPT="$(CFLAGS)" $(MAKE) $(CROSS) $(PATHS) SHARED=yes $(LINUX_FEATURES)

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) $(PATHS) clean
	rm -f lspci-udeb
	dh_clean

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: build 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a

	$(MAKE) $(CROSS) $(PATHS) install DESTDIR=debian/pciutils STRIP=

	# pciutils
	gunzip debian/pciutils/usr/share/misc/pci.ids.gz
	mv debian/pciutils/usr/bin/update-pciids debian/pciutils/usr/sbin

	# libpci-dev
	mkdir -p debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	install -m 644 lib/libpci.a debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	install -m 644 lib/pci.h lib/header.h lib/config.h lib/types.h \
			debian/libpci-dev/usr/include/pci/
	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.3.1 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so

	# libpci3
	mkdir -p debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
	install -m 644 lib/libpci.so* debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
	ln -s libpci.so.3.3.1 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3

	# pciutils-udeb
	# Reduce by removing subsystem ids and comments.
	perl -ne 'print unless /^(\s*#|\s*$|\t\t)/' < pci.ids |gzip -9n > debian/pciutils-udeb/usr/share/misc/pci.ids.gz
	chmod 644 debian/pciutils-udeb/usr/share/misc/pci.ids.gz

	# libpci3-udeb
	install -m 644 lib/libpci.so* debian/libpci3-udeb/lib/
	ln -s libpci.so.3.3.1 debian/libpci3-udeb/lib/libpci.so.3

	dh_installdocs
	dh_installexamples example.c
	dh_installmenu
	dh_installman -ppciutils
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V 'libpci3 (>= 1:3.3.1-1)' --add-udeb=libpci3-udeb
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: update-ids build clean binary-indep binary-arch binary source diff

## pciutils 3.5.2

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile for The PCI Utilities
-# (c) 1998--2015 Martin Mares <mj@ucw.cz>
+# (c) 1998--2016 Martin Mares <mj@ucw.cz>
 
 OPT=-O2
 CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes
 
-VERSION=3.3.1
-DATE=2015-04-09
+VERSION=3.5.2
+DATE=2016-10-03
 
 # Host OS and release (override if you are cross-compiling)
 HOST=

=== lib/Makefile ===
# Makefile for The PCI Library
# (c) 1999--2014 Martin Mares <mj@ucw.cz>

# Expects to be invoked from the top-level Makefile and uses lots of its variables.

OBJS=init access generic dump names filter names-hash names-parse names-net names-cache names-hwdb params caps
INCL=internal.h pci.h config.h header.h sysdep.h types.h

ifdef PCI_HAVE_PM_LINUX_SYSFS
OBJS += sysfs
endif

ifdef PCI_HAVE_PM_LINUX_PROC
OBJS += proc
endif

ifdef PCI_HAVE_PM_INTEL_CONF
OBJS += i386-ports
endif

ifdef PCI_HAVE_PM_DUMP
OBJS += dump
endif

ifdef PCI_HAVE_PM_FBSD_DEVICE
OBJS += fbsd-device
CFLAGS += -I/usr/src/sys
ifdef FREEBSD_SYS
CFLAGS += -I${FREEBSD_SYS}
endif
endif

ifdef PCI_HAVE_PM_OBSD_DEVICE
OBJS += obsd-device
endif

ifdef PCI_HAVE_PM_AIX_DEVICE
OBJS += aix-device
endif

ifdef PCI_HAVE_PM_NBSD_LIBPCI
OBJS += nbsd-libpci
endif

ifdef PCI_HAVE_PM_DARWIN_DEVICE
OBJS += darwin
endif

all: $(PCILIB) $(PCILIBPC)

ifeq ($(SHARED),no)
$(PCILIB): $(addsuffix .o,$(OBJS))
	rm -f $@
	$(AR) rcs $@ $^
	$(RANLIB) $@
else
CFLAGS += -fPIC -fvisibility=hidden
$(PCILIB): $(addsuffix .o,$(OBJS))
 ifdef PCI_HAVE_PM_DARWIN_DEVICE
	$(CC) -shared $(LDFLAGS) $(SONAME) -Wl,-install_name,$(LIBDIR)/$(PCILIB) -o $@ $^ $(LIB_LDLIBS)
 else
	$(CC) -shared $(LDFLAGS) $(SONAME) -Wl,--version-script=libpci.ver -o $@ $^ $(LIB_LDLIBS)
 endif
endif

$(PCILIBPC): libpci.pc.in
	sed <$< >$@ -e 's,@PREFIX@,$(PREFIX),' \
		-e 's,@INCDIR@,$(INCDIR),' \
		-e 's,@LIBDIR@,$(LIBDIR),' \
		-e 's,@IDSDIR@,$(IDSDIR),' \
		-e 's,@VERSION@,$(VERSION),' \
		-e 's,@LDLIBS@,$(LDLIBS),'

init.o: init.c $(INCL)
access.o: access.c $(INCL)
params.o: params.c $(INCL)
i386-ports.o: i386-ports.c $(INCL) i386-io-hurd.h i386-io-linux.h i386-io-sunos.h i386-io-windows.h i386-io-cygwin.h
proc.o: proc.c $(INCL) pread.h
sysfs.o: sysfs.c $(INCL) pread.h
generic.o: generic.c $(INCL)
syscalls.o: syscalls.c $(INCL)
obsd-device.o: obsd-device.c $(INCL)
fbsd-device.o: fbsd-device.c $(INCL)
aix-device.o: aix-device.c $(INCL)
dump.o: dump.c $(INCL)
names.o: names.c $(INCL) names.h
names-cache.o: names-cache.c $(INCL) names.h
names-hash.o: names-hash.c $(INCL) names.h
names-net.o: names-net.c $(INCL) names.h
names-parse.o: names-parse.c $(INCL) names.h
names-hwdb.o: names-hwdb.c $(INCL) names.h
filter.o: filter.c $(INCL)
nbsd-libpci.o: nbsd-libpci.c $(INCL)

=== debian/changelog ===
pciutils (1:3.5.2-1ubuntu1.1) bionic; urgency=medium

  * d/p/08-update-2018-07-21-pciids.patch:
    - Update pci.ids to version 2018-07-21. (LP: #1815212)

 -- Eric <eric.desrochers@canonical.com>  Sun, 10 Feb 2019 18:25:12 +0000

pciutils (1:3.5.2-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Downloaded daily snapshot dated 2017-03-16 03:15:01 
    - debian/patches/lspci-Support-GEN4-speed-16GT-s.patch: Cherry-pick from
      upstream to support PCI gen4 cards in lspci.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 24 Apr 2017 11:35:32 -0700

pciutils (1:3.5.2-1) unstable; urgency=medium

  [ Anibal Monsalve Salazar ]
  * New upstream version 3.5.2
  * Update pci.ids with version 2016.11.21
  * Refresh patches
  * Standards-Version: 3.9.8

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: 834794)
    - export cross $PKG_CONFIG
    - export cross $HOST

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 30 Nov 2016 06:53:07 +0000

pciutils (1:3.3.1-1.1ubuntu9) zesty; urgency=medium

  * Downloaded daily snapshot dated 2017-03-16 03:15:01 

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 20 Mar 2017 10:47:24 -0600

pciutils (1:3.3.1-1.1ubuntu8) zesty; urgency=medium

  * debian/patches/lspci-Support-GEN4-speed-16GT-s.patch: Cherry-pick from
    upstream to support PCI gen4 cards in lspci.  Closes LP: #1665436.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 16 Feb 2017 14:12:21 -0800

pciutils (1:3.3.1-1.1ubuntu7) zesty; urgency=medium

  * Downloaded daily snapshot dated 2017-01-28 03:15:02 

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 01 Feb 2017 14:05:28 -0700

pciutils (1:3.3.1-1.1ubuntu6) zesty; urgency=medium

  * Downloaded daily snapshot dated 2017-01-08 03:15:02

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Jan 2017 06:23:19 -0700

pciutils (1:3.3.1-1.1ubuntu5) zesty; urgency=medium

  * Downloaded daily snapshot dated 2016-11-21 03:15:01

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 30 Nov 2016 13:55:25 -0700

pciutils (1:3.3.1-1.1ubuntu4) yakkety; urgency=medium

  * Downloaded daily snapshot dated 2016-09-28 03:15:02 

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 29 Sep 2016 08:46:20 -0600

pciutils (1:3.3.1-1.1ubuntu3) yakkety; urgency=medium

  * Downloaded daily snapshot dated 2016-09-05 03:15:02 

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 08 Sep 2016 07:51:26 -0600

pciutils (1:3.3.1-1.1ubuntu2) yakkety; urgency=medium

  * Downloaded daily snapshot dated 2016-05-02 03:15:02 

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 04 May 2016 11:17:13 -0600

pciutils (1:3.3.1-1.1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1541979).  Remaining changes:
    - Downloaded daily snapshot dated 2015-09-19 16:01:04 
    - Downloaded daily snapshot dated 2016-01-02 03:15:02

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 04 Feb 2016 17:54:40 +0000

pciutils (1:3.3.1-1ubuntu2) xenial; urgency=medium

  * Downloaded daily snapshot dated 2016-01-02 03:15:02

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 05 Jan 2016 06:55:59 -0700

pciutils (1:3.3.1-1ubuntu1) wily; urgency=medium

  * Downloaded daily snapshot dated 2015-09-19 16:01:04 

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 21 Sep 2015 09:40:15 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Matt Taggart <taggart@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), zlib1g-dev, libkmod-dev [linux-any], libudev-dev (>= 196) [linux-any], pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
 
 Package: pciutils

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,12 @@
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS=CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
+export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
+export HOST=$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS)
+CROSS=CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)- HOST=$(HOST)
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -63,12 +62,12 @@
 	install -m 644 lib/pci.h lib/header.h lib/config.h lib/types.h \
 			debian/libpci-dev/usr/include/pci/
 	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
-	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.3.1 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
+	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.5.2 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
 
 	# libpci3
 	mkdir -p debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
 	install -m 644 lib/libpci.so* debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
-	ln -s libpci.so.3.3.1 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
+	ln -s libpci.so.3.5.2 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
 
 	# pciutils-udeb
 	# Reduce by removing subsystem ids and comments.
@@ -77,7 +76,7 @@
 
 	# libpci3-udeb
 	install -m 644 lib/libpci.so* debian/libpci3-udeb/lib/
-	ln -s libpci.so.3.3.1 debian/libpci3-udeb/lib/libpci.so.3
+	ln -s libpci.so.3.5.2 debian/libpci3-udeb/lib/libpci.so.3
 
 	dh_installdocs
 	dh_installexamples example.c
@@ -87,7 +86,7 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a -V 'libpci3 (>= 1:3.3.1-1)' --add-udeb=libpci3-udeb
+	dh_makeshlibs -a -V 'libpci3 (>= 1:3.5.2-1)' --add-udeb=libpci3-udeb
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a

## pciutils 3.5.2.3

=== debian/changelog ===
pciutils (1:3.5.2.3-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: c974cea79119e374c6c52aafc7abc1a41c8b08aa']

 -- shuttle <shuttle@deepin.com>  Fri, 28 Feb 2020 15:17:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Matt Taggart <taggart@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), zlib1g-dev, libkmod-dev [linux-any], libudev-dev (>= 196) [linux-any], pkg-config
 Standards-Version: 3.9.8

## pciutils 3.6.2

=== debian/changelog ===
pciutils (1:3.6.2-2) unstable; urgency=medium

  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Switch to Standards-Version 4.4.0.
  * Update pci.ids file to latest version 2019.06.30.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Jul 2019 00:15:14 +0200

pciutils (1:3.6.2-1) experimental; urgency=medium

  * New upstream release. Closes: #895425
    - Refresh patches.
    - Remove 03-pci.ids.patch, the pci.ids is now up-to-date.
  * Namespace debhelper fragment files with binary package name.
  * Update debian/control:
    - Remove obsolete dependencies on pciutils-dev and libpci2.
    - Remove duplicate or inflated Priority fields.
    - Line-wrap and sort fields.
    - Remove Build-Depends on dpkg-dev satisfied in oldstable.
    - Set Rules-Requires-Root to no.
    - Replace pathname for static library with just a reference to it in the
      packages description.
    - Switch to Standards-Version 4.3.0.
  * Switch to debhelper compatibility level 12.
  * Remove pcimodules program, superseded by «lspci -k».
    Closes: #599335, #893966
  * Remove trailing whitespace.
  * Update debian/rules:
    - Remove obsolete source and diff targets.
    - Do not set DH_VERBOSE by default.
    - Refactor all build system flags into a confflags variable.
    - Run debhelper commands for all packages.
    - Fix targets and dependencies.
    - Line wrap long rules command.
    - Enable hardening flags.
  * Install example.c in libpci-dev instead of pciutils.
  * Switch pciutils-udeb to link dynamically against libpci3-udeb.
  * Fix upstream build system to install the static library with install-lib.
  * Switch to use the upstream build system and debhelper fragment files to
    install the packaged files into their correct place:
    - Make the upstream build system install programs, header and libraries.
    - Move ad-hoc installation from debian/rules into debhelper install
      fragment files.
    - Remove unused debhelper dirs fragment files.
  * Reformat maintainer scripts.
    - Use two-space indentation.
    - Remove space in shebang.
    - Do not use old-style quotes.
  * Add new symbols file for the shared library.
  * Add a lintian override for shlib-calls-exit, as the library does call
    exit(3) by default, but makes it possible for the caller to setup a
    different error handler.
  * Fix typos in man pages.
  * Fix fortify compiler warnings.
  * Make the libpci-dev package Multi-Arch same. Closes: #721270
  * Add metadata to patch files.

 -- Guillem Jover <guillem@debian.org>  Wed, 10 Apr 2019 03:20:09 +0200

pciutils (1:3.5.2-5) unstable; urgency=medium

  * Modify the upstream build system to recognize GNU style system names.
    This way we can upstream these changes, and avoid unwieldy mappings.

 -- Guillem Jover <guillem@debian.org>  Tue, 09 Apr 2019 05:02:49 +0200

pciutils (1:3.5.2-4) unstable; urgency=medium

  * Use expected system name for HOST variable.
    - Switch to use DEB_HOST_GNU_SYSTEM instead of DEB_HOST_ARCH_OS.
      This fixes the build failure on GNU/Hurd.
    - Map GNU/k*BSD OS names to their non k-prefixed names.
      This fixes the build failure on GNU/kFreeBSD.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Apr 2019 02:31:08 +0200

pciutils (1:3.5.2-3) unstable; urgency=medium

  * Pass HOST as a make variable instead of through the environment as the
    Makefile sets a default empty value. This makes the build reproducible.

 -- Guillem Jover <guillem@debian.org>  Sun, 07 Apr 2019 20:47:46 +0200

pciutils (1:3.5.2-2) unstable; urgency=medium

  * Salvage package. Closes: #923799, #925097
    Thanks to the previous maintainers for all their past work.
  * Add Vcs-Browser and Vcs-Git fields.
  * Update Homepage field URL. Closes: #893965
  * Update debian/copyright:
    - Remove original packaging information, present in the changelog.
    - Stop claiming the Linux kernel uses GPL-2+. Closes: #688680
    - Switch to machine parseable format 1.0.
    - Update copyright statements.
  * Add upstream signing key.
  * Update debian/watch:
    - Switch to format version 4.
    - Switch to the main upstream site, which provides usable signatures.
    - Enable signature checks.
  * Improve package descriptions.
  * Use https in update-pciids. Closes: #805328
  * Update pci.ids file to latest version 2019.04.04.
  * Make build reproducible, by unconditionally setting HOST.
    Thanks to Chris Lamb <lamby@debian.org> for the initial investigation.
    Closes: #849968

 -- Guillem Jover <guillem@debian.org>  Fri, 05 Apr 2019 06:18:47 +0200

=== debian/control ===
Source: pciutils
Section: admin
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 libkmod-dev [linux-any],
 libudev-dev (>= 196) [linux-any],
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.4.0
Homepage: https://mj.ucw.cz/sw/pciutils/
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/pciutils.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/pciutils.git

Package: pciutils
Priority: standard
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libpci3 (= ${binary:Version}),
Suggests:
 bzip2,
 wget | curl | lynx-cur,
Description: PCI utilities
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus.

Package: libpci-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libpci3 (= ${binary:Version}),
 libudev-dev (>= 196) [linux-any],
 zlib1g-dev,
Description: PCI utilities (development files)
 This package contains the <pci/pci.h>, <pci/config.h> and <pci/header.h>
 header files, as well as the libpci static library.

Package: libpci3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: PCI utilities (shared library)
 This package contains the libpci shared library files.
 .
 The libpci library provides portable access to configuration
 registers of devices connected to the PCI bus.

Package: pciutils-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: PCI Utilities (udeb)
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus.
 .
 This is a minimal version for use in debian-installer.

Package: libpci3-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: PCI Utilities (udeb shared library)
 This package contains the libpci shared library files.
 .
 The libpci library provides portable access to configuration
 registers of devices connected to the PCI bus.
 .
 This is a minimal version for use in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

confflags =
confflags += SHARED=yes
confflags += HOST=$(DEB_HOST_GNU_CPU)-$(DEB_HOST_GNU_SYSTEM)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
confflags += CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
endif
ifeq ($(DEB_HOST_ARCH_OS),linux)
confflags += LIBKMOD=yes
confflags += HWDB=yes
endif
confflags += PREFIX=/usr
confflags += LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
confflags += INCDIR=/usr/include/$(DEB_HOST_MULTIARCH)
confflags += SBINDIR=/usr/bin
confflags += IDSDIR=/usr/share/misc
confflags += STRIP=

.PHONY: update-ids
update-ids:
	# get a new version of pci.ids, this should only be run by the
	# maintainer, since we don't want different builds of the same
	# source to end up with different versions
	./update-pciids.sh
	rm -f pci.ids.old
	#gunzip pci.ids.gz

build-indep:
build-arch:
	dh_testdir
	OPT="$(CFLAGS)" $(MAKE) $(confflags)
build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build-indep

# Build architecture-dependent files here.
binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a

	$(MAKE) $(confflags) install install-lib DESTDIR=debian/tmp

	# pciutils
	gunzip debian/tmp/usr/share/misc/pci.ids.gz

	# pciutils-udeb
	# Reduce by removing subsystem ids and comments.
	perl -ne 'print unless /^(\s*#|\s*$|\t\t)/' <pci.ids | \
	  gzip -9n >debian/pciutils-udeb/usr/share/misc/pci.ids.gz

	dh_install -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V 'libpci3 (>= 1:3.5.2-1)' --add-udeb=libpci3-udeb
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build-indep build-arch build clean binary-indep binary-arch binary

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sign/ \
ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/pciutils-([\d\.]+).tar.(?:xz|gz|bz2) debian uupdate

## pciutils 3.6.4

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile for The PCI Utilities
-# (c) 1998--2016 Martin Mares <mj@ucw.cz>
+# (c) 1998--2020 Martin Mares <mj@ucw.cz>
 
 OPT=-O2
 CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes
 
-VERSION=3.5.2
-DATE=2016-10-03
+VERSION=3.6.4
+DATE=2020-01-25
 
 # Host OS and release (override if you are cross-compiling)
 HOST=
@@ -59,7 +59,7 @@
 
 export
 
-all: lib/$(PCILIB) lspci setpci example lspci.8 setpci.8 pcilib.7 update-pciids update-pciids.8 $(PCI_IDS)
+all: lib/$(PCILIB) lspci setpci example lspci.8 setpci.8 pcilib.7 pci.ids.5 update-pciids update-pciids.8 $(PCI_IDS)
 
 lib/$(PCILIB): $(PCIINC) force
 	$(MAKE) -C lib all
@@ -98,24 +98,33 @@
 %: %.o
 	$(CC) $(LDFLAGS) $(TARGET_ARCH) $^ $(LDLIBS) -o $@
 
-%.8 %.7: %.man
+%.8 %.7 %.5: %.man
 	M=`echo $(DATE) | sed 's/-01-/-January-/;s/-02-/-February-/;s/-03-/-March-/;s/-04-/-April-/;s/-05-/-May-/;s/-06-/-June-/;s/-07-/-July-/;s/-08-/-August-/;s/-09-/-September-/;s/-10-/-October-/;s/-11-/-November-/;s/-12-/-December-/;s/\(.*\)-\(.*\)-\(.*\)/\3 \2 \1/'` ; sed <$< >$@ "s/@TODAY@/$$M/;s/@VERSION@/pciutils-$(VERSION)/;s#@IDSDIR@#$(IDSDIR)#"
+
+ctags:
+	rm -f tags
+	find . -name '*.[hc]' -exec ctags --append {} +
+
+TAGS:
+	rm -f TAGS
+	find . -name '*.[hc]' -exec etags --append {} +
 
 clean:
 	rm -f `find . -name "*~" -o -name "*.[oa]" -o -name "\#*\#" -o -name TAGS -o -name core -o -name "*.orig"`
-	rm -f update-pciids lspci setpci example lib/config.* *.[78] pci.ids.* lib/*.pc lib/*.so lib/*.so.*
+	rm -f update-pciids lspci setpci example lib/config.* *.[578] pci.ids.gz lib/*.pc lib/*.so lib/*.so.* tags
 	rm -rf maint/dist
 
 distclean: clean
 
 install: all
 # -c is ignored on Linux, but required on FreeBSD
-	$(DIRINSTALL) -m 755 $(DESTDIR)$(SBINDIR) $(DESTDIR)$(IDSDIR) $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(MANDIR)/man7
+	$(DIRINSTALL) -m 755 $(DESTDIR)$(SBINDIR) $(DESTDIR)$(IDSDIR) $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(MANDIR)/man7 $(DESTDIR)/$(MANDIR)/man5
 	$(INSTALL) -c -m 755 $(STRIP) lspci setpci $(DESTDIR)$(SBINDIR)
 	$(INSTALL) -c -m 755 update-pciids $(DESTDIR)$(SBINDIR)
 	$(INSTALL) -c -m 644 $(PCI_IDS) $(DESTDIR)$(IDSDIR)
 	$(INSTALL) -c -m 644 lspci.8 setpci.8 update-pciids.8 $(DESTDIR)$(MANDIR)/man8
 	$(INSTALL) -c -m 644 pcilib.7 $(DESTDIR)$(MANDIR)/man7
+	$(INSTALL) -c -m 644 pci.ids.5 $(DESTDIR)$(MANDIR)/man5
 ifeq ($(SHARED),yes)
 ifeq ($(LIBEXT),dylib)
 	ln -sf $(PCILIB) $(DESTDIR)$(LIBDIR)/$(LIBNAME)$(ABI_VERSION).$(LIBEXT)
@@ -156,4 +165,4 @@
 pci.ids.gz: pci.ids
 	gzip -9n <$< >$@
 
-.PHONY: all clean distclean install install-lib uninstall force
+.PHONY: all clean distclean install install-lib uninstall force tags TAGS

=== debian/changelog ===
pciutils (1:3.6.4-1ubuntu0.20.04.1) focal; urgency=medium

  * Fix patch to ln -f (LP: #1915923)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 31 Mar 2021 15:55:11 -0700

pciutils (1:3.6.4-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Completely rewrite and simplify 04-update-pciids.sh.patch.
    - Remove 10-hurd-pci-arbiter.patch, merged upstream.
  * Do not ship empty /usr/share/misc directory in pciutils.
  * Switch to Standards-Version 4.5.0 (no changes needed).
  * Remove debian/TODO file.

 -- Guillem Jover <guillem@debian.org>  Sun, 26 Jan 2020 01:21:26 +0100

pciutils (1:3.6.2-6) unstable; urgency=medium

  * Move pci.ids dependency from pciutils to libpci3. The library is the
    one actually accessing the database.

 -- Guillem Jover <guillem@debian.org>  Tue, 03 Dec 2019 01:24:00 +0100

pciutils (1:3.6.2-5) unstable; urgency=medium

  * Restore assumption that pci.ids is installed uncompressed. This was
    introduced due to a confused reading of the udeb case which does
    compress it.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Nov 2019 23:33:44 +0100

pciutils (1:3.6.2-4) unstable; urgency=medium

  * Switch to use pci.ids package instead of embedded database:
    - Add a Build-Depends on pci.ids to inject the file into pciutils-udeb.
    - Add a Depends on pci.ids to pciutils instead of shipping it.
    - Remove patch updating the pci.ids.
    - Remove now unnecessary update-ids target from debian/rules.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Nov 2019 15:04:55 +0100

pciutils (1:3.6.2-3) unstable; urgency=medium

  * Update source download URL to current primary site (with https now).
  * Switch to Standards-Version 4.4.1 (no changes needed).
  * Merge GNU/Hurd patches from the ports archive to add support for the
    new PCI arbiter. Thanks to Joan Lledó <joanlluislledo@gmail.com>,
    Damien Zammit <damien@zamaudio.com> and
    Samuel Thibault <sthibault@debian.org>.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Nov 2019 14:20:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
+ pci.ids (>= 0.0~2019.11.10-2),
  pkg-config,
  libkmod-dev [linux-any],
  libudev-dev (>= 196) [linux-any],
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://mj.ucw.cz/sw/pciutils/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/pciutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/pciutils.git
@@ -51,6 +53,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ pci.ids (>= 0.0~2019.11.10-2),
 Description: PCI utilities (shared library)
  This package contains the libpci shared library files.
  .

=== debian/rules ===
--- 
+++ 
@@ -25,15 +25,6 @@
 confflags += IDSDIR=/usr/share/misc
 confflags += STRIP=
 
-.PHONY: update-ids
-update-ids:
-	# get a new version of pci.ids, this should only be run by the
-	# maintainer, since we don't want different builds of the same
-	# source to end up with different versions
-	./update-pciids.sh
-	rm -f pci.ids.old
-	#gunzip pci.ids.gz
-
 build-indep:
 build-arch:
 	dh_testdir
@@ -58,12 +49,10 @@
 
 	$(MAKE) $(confflags) install install-lib DESTDIR=debian/tmp
 
-	# pciutils
-	gunzip debian/tmp/usr/share/misc/pci.ids.gz
-
 	# pciutils-udeb
 	# Reduce by removing subsystem ids and comments.
-	perl -ne 'print unless /^(\s*#|\s*$|\t\t)/' <pci.ids | \
+	cat /usr/share/misc/pci.ids | \
+	  perl -ne 'print unless /^(\s*#|\s*$|\t\t)/' | \
 	  gzip -9n >debian/pciutils-udeb/usr/share/misc/pci.ids.gz
 
 	dh_install -a

## pciutils 3.7.0

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 OPT=-O2
 CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes
 
-VERSION=3.6.4
-DATE=2020-01-25
+VERSION=3.7.0
+DATE=2020-05-31
 
 # Host OS and release (override if you are cross-compiling)
 HOST=

=== debian/changelog ===
pciutils (1:3.7.0-6) unstable; urgency=medium

  * Add support for the noudeb build profile. Closes: #983322
    Based on a patch by Matthias Klose <doko@debian.org>.

 -- Guillem Jover <guillem@debian.org>  Mon, 30 Aug 2021 04:45:58 +0200

pciutils (1:3.7.0-5) unstable; urgency=medium

  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Add new debian/upstream/metadata file.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 18:49:27 +0100

pciutils (1:3.7.0-4) unstable; urgency=medium

  * Remove fortify.patch unnecessary since 3.6.4 where this was fixed upstream
    in a different way.
  * Update patches meta-information:
    - Add Forwarded meta-fields.
    - Switch a literal Debian bug URL into a Bug-Debian meta-field.
  * Force update-pciids to generate a non-compressed pci.ids database.
    Closes: #970762

 -- Guillem Jover <guillem@debian.org>  Mon, 05 Oct 2020 01:42:19 +0200

pciutils (1:3.7.0-3) unstable; urgency=medium

  * Force the hardlink for the backup pci.ids database in update-pciids.
    Closes: #950812, #970762

 -- Guillem Jover <guillem@debian.org>  Wed, 23 Sep 2020 03:00:51 +0200

pciutils (1:3.7.0-2) unstable; urgency=medium

  * Fix build failure on Hurd, by taking a patch from upstream git.

 -- Guillem Jover <guillem@debian.org>  Sat, 27 Jun 2020 03:39:28 +0200

pciutils (1:3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 13.
    - Stop passing --add-udeb to dh_makeshlibs.
    - Stop passing ChangeLog to dh_installchangelogs.
  * Adapt to renamed lintian tag exit-in-shared-library.
  * Remove unneeded update-pciids.sh patched changes, due to the
    simplifications on the previous release.
  * Pass OPT to make via the conffiles environment variable instead of
    explicitly passing it prefixed to the command.
  * Do not build a static library anymore. This does not work on Linux
    systems anyway as libudev-dev does not provide a static library, and
    providing one for non-Linux systems would make handling this inconsistent
    in depending packages. In addition newer glibc generate a link-time
    warning on code using getpwuid() calls, requesting to use the dynamic
    library version.
  * Split the License text into its own License stanza in debian/copyright.
  * Add a superficial test case. Closes: #960441
    Based on a patch by Simon McVittie <smcv@collabora.com>.
  * Install pci.ids(5) in pciutils.
  * List /usr/share/misc/pci.ids.gz explicitly in pciutils-udeb.install
    so that dh_missing knows about it.
  * Switch to the dh sequencer.

 -- Guillem Jover <guillem@debian.org>  Tue, 16 Jun 2020 00:59:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- pci.ids (>= 0.0~2019.11.10-2),
+ debhelper-compat (= 13),
+ pci.ids (>= 0.0~2019.11.10-2) <!noudeb>,
  pkg-config,
  libkmod-dev [linux-any],
  libudev-dev (>= 196) [linux-any],
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://mj.ucw.cz/sw/pciutils/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/pciutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/pciutils.git
@@ -62,6 +61,7 @@
 
 Package: pciutils-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: any
 Depends:
@@ -75,6 +75,7 @@
 
 Package: libpci3-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: any
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

confflags =
confflags += OPT="$(CFLAGS)"
confflags += SHARED=yes
confflags += HOST=$(DEB_HOST_GNU_CPU)-$(DEB_HOST_GNU_SYSTEM)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
confflags += CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
endif
ifeq ($(DEB_HOST_ARCH_OS),linux)
confflags += LIBKMOD=yes
confflags += HWDB=yes
endif
confflags += PREFIX=/usr
confflags += LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
confflags += INCDIR=/usr/include/$(DEB_HOST_MULTIARCH)
confflags += SBINDIR=/usr/bin
confflags += IDSDIR=/usr/share/misc

# These two are supposed to override only the update-pciids generator to force
# a non compressed database.
buildflags =
buildflags += PCI_COMPRESSED_IDS=0
buildflags += PCI_IDS=pci.ids

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(confflags) $(buildflags)

override_dh_auto_install:
	dh_auto_install -- $(confflags) install-lib

ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
	# pciutils-udeb
	# Reduce by removing subsystem ids and comments.
	cat /usr/share/misc/pci.ids | \
	  perl -ne 'print unless /^(\s*#|\s*$|\t\t)/' | \
	  gzip -9n >debian/pciutils-udeb/usr/share/misc/pci.ids.gz
endif

override_dh_makeshlibs:
	dh_makeshlibs -a -V 'libpci3 (>= 1:3.5.2-1)'

=== debian/tests/control ===
Tests: test-libpci
Restrictions: allow-stderr superficial
Depends: build-essential, libpci-dev, pkg-config

## pciutils 3.7.0-6+11.0trisquel0

=== lib/Makefile ===
--- 
+++ 
@@ -46,6 +46,14 @@
 OBJS += darwin
 endif
 
+ifdef PCI_HAVE_PM_SYLIXOS_DEVICE
+OBJS += sylixos-device
+endif
+
+ifdef PCI_HAVE_PM_HURD_CONF
+OBJS += hurd
+endif
+
 all: $(PCILIB) $(PCILIBPC)
 
 ifeq ($(SHARED),no)
@@ -69,7 +77,8 @@
 		-e 's,@LIBDIR@,$(LIBDIR),' \
 		-e 's,@IDSDIR@,$(IDSDIR),' \
 		-e 's,@VERSION@,$(VERSION),' \
-		-e 's,@LDLIBS@,$(LDLIBS),'
+		-e 's,@LDLIBS@,$(LDLIBS),' \
+		-e 's,@WITH_LIBS@,$(WITH_LIBS),'
 
 init.o: init.c $(INCL)
 access.o: access.c $(INCL)
@@ -91,3 +100,4 @@
 names-hwdb.o: names-hwdb.c $(INCL) names.h
 filter.o: filter.c $(INCL)
 nbsd-libpci.o: nbsd-libpci.c $(INCL)
+hurd.o: hurd.c $(INCL)

=== debian/changelog ===
pciutils (1:3.7.0-6+11.0trisquel0) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Oct 2022 06:50:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends:
  debhelper-compat (= 13),
  pci.ids (>= 0.0~2019.11.10-2) <!noudeb>,

## pciutils 3.8.0

=== debian/changelog ===
pciutils (1:3.8.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove all patches, merged upstream.
    - Add new symbols to symbols file.
    - Replace upstream signing key, it had expired.
    - Do not ship current upstream tarball signatures, as these were made
      with the expired signing key. This was reported upstream when the
      release happened, but no new signatures have appeared yet.
    - Update copyright years.
  * Change Suggests from obsolete lynx-cur to lynx.
  * Switch to Standards-Version 4.6.1 (no changes needed).
  * Update lintian override to use new square bracket syntax.

 -- Guillem Jover <guillem@debian.org>  Sun, 17 Jul 2022 02:35:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  pci.ids (>= 0.0~2019.11.10-2) <!noudeb>,
@@ -10,7 +10,7 @@
  libudev-dev (>= 196) [linux-any],
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://mj.ucw.cz/sw/pciutils/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/pciutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/pciutils.git
@@ -25,7 +25,7 @@
  libpci3 (= ${binary:Version}),
 Suggests:
  bzip2,
- wget | curl | lynx-cur,
+ wget | curl | lynx,
 Description: PCI utilities
  This package contains various utilities for inspecting and setting of
  devices connected to the PCI bus.
